Bug 12181 - vfs_acl_common not setting filesystem permissions anymore
vfs_acl_common not setting filesystem permissions anymore
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12177
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-26 07:50 UTC by Ralph Böhme
Modified: 2016-09-22 08:21 UTC (History)
4 users (show)

See Also:


Attachments
Patch for 4.3, 4.4 and 4.5 cherry-picked from master (8.49 KB, patch)
2016-09-06 15:03 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-08-26 07:50:40 UTC
As discussed on the mailing list [1], we need to ensure filesystem permission always grant access so that when doing our own access checks we don't run into situations were we grant access but the filesystem doesn't.

Mailing list consensus was to achieve this by setting "directory mask = 0777", "create mask = 0666", map archive|hidden|system|readonly to no.

I think I'll also add a recommendation to use "store dos attributes" to the vfs_acl_xattr|tdb manpages without forcing at runtime, because who knows what type of setups it may break.

[1] <https://lists.samba.org/archive/samba-technical/2016-August/115779.html>
Comment 1 Ralph Böhme 2016-09-06 15:03:35 UTC
Created attachment 12446 [details]
Patch for 4.3, 4.4 and 4.5 cherry-picked from master

4.3 and 4.4 still in the loop, backporting for those versions is a little more effort.
Comment 2 Ralph Böhme 2016-09-06 16:17:14 UTC
Comment on attachment 12446 [details]
Patch for 4.3, 4.4 and 4.5 cherry-picked from master

Patch applies to 4.3, 4.4 and 4.5. Please remember that it depends on #12177.
Comment 3 Jeremy Allison 2016-09-06 23:59:56 UTC
Re-assigning to Karolin for inclusion in 4.5.0, 4.4.x, 4,3,x.
Comment 4 Stefan Metzmacher 2016-09-07 15:10:01 UTC
Pushed to v4-5-test.
Comment 5 Karolin Seeger 2016-09-20 07:27:32 UTC
Pushed to autobuild-v4-{3,4}-test.
Comment 6 Karolin Seeger 2016-09-22 08:20:54 UTC
Pushed to all branches.
Closing out bug report.

Thanks!